## org.apache.mahout.math.als
Class ImplicitFeedbackAlternatingLeastSquaresSolver

    java.lang.Object
      org.apache.mahout.math.als.ImplicitFeedbackAlternatingLeastSquaresSolver

    public class ImplicitFeedbackAlternatingLeastSquaresSolver

extends Object

see Collaborative Filtering for Implicit Feedback Datasets

Constructor Summary
`ImplicitFeedbackAlternatingLeastSquaresSolver(int numFeatures, double lambda, double alpha, OpenIntObjectHashMap<Vector> Y)`

Method Summary
`Vector` `solve(Vector ratings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitFeedbackAlternatingLeastSquaresSolver

    public ImplicitFeedbackAlternatingLeastSquaresSolver(int numFeatures,
                                                         double lambda,
                                                         double alpha,
                                                         OpenIntObjectHashMap<Vector> Y)

Method Detail

### solve

    public Vector solve(Vector ratings)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.